Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent spend caps

GET/workspaces/{organizationId}/agent/spend-caps
Path parameters
organizationIdstringrequired
Responses
200

Spend/token caps for the workspace — agentId "*" is the workspace default

capsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
agentIdstringrequired
maxRunsPerDayinteger | nullrequired
maxRunsPerMonthinteger | nullrequired
maxTokensPerDayinteger | nullrequired
maxTokensPerMonthinteger | nullrequired
maxCostMicrosPerDayinteger | nullrequired
maxCostMicrosPerMonthinteger | nullrequired
maxTokensPerRuninteger | nullrequired
maxCostMicrosPerRuninteger | nullrequired
lastCapAlertAtstring | nullrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/spend-caps' \
  -H 'Accept: application/json'
Response
{
  "caps": [
    {
      "id": "string",
      "organizationId": "string",
      "agentId": "string",
      "maxRunsPerDay": 0,
      "maxRunsPerMonth": 0,
      "maxTokensPerDay": 0,
      "maxTokensPerMonth": 0,
      "maxCostMicrosPerDay": 0,
      "maxCostMicrosPerMonth": 0,
      "maxTokensPerRun": 0,
      "maxCostMicrosPerRun": 0,
      "lastCapAlertAt": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?